repo/gentoo:master commit in: dev-python/aiohttp-socks/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786588325.170894f7e9ce4155876d244eee5ef632333b47f5.mgorny@gentoo> |
commit: 170894f7e9ce4155876d244eee5ef632333b47f5
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 02:15:16 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 02:32:05 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=170894f7
dev-python/aiohttp-socks: Bump to 0.12.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/aiohttp-socks/Manifest | 1 +
.../aiohttp-socks/aiohttp-socks-0.12.0.ebuild | 47 ++++++++++++++++++++++
dev-python/aiohttp-socks/metadata.xml | 2 +-
3 files changed, 49 insertions(+), 1 deletion(-)
diff --git a/dev-python/aiohttp-socks/Manifest b/dev-python/aiohttp-socks/Manifest
index 152443611f54..f222ce3a0b26 100644
--- a/dev-python/aiohttp-socks/Manifest
+++ b/dev-python/aiohttp-socks/Manifest
@@ -1 +1,2 @@
DIST aiohttp-socks-0.11.0.gh.tar.gz 13949 BLAKE2B e8ee93058a5dbd7e2046ef9abca91c3f1144c3d744ef6b2b42bfa18451af7210a1deac51c899ffbeec783f3712815c00add6fd5c8de991fbdd3d6895a823092c SHA512 6805c31702c3bf1a5438b29e431a80175c8b184b7f3dc956b226b4ce305739fee654bd3ef0664e05edc21c3807df32fe027d8aa3351da4a7a7a53f86ff866fe3
+DIST aiohttp-socks-0.12.0.gh.tar.gz 201569 BLAKE2B 0f5f4b609686757dcf7109de3f079f8f3e11ae142a846d28411cd65b5c6e5808178a7dc33b20262a02ff196f5cf9872a29bf946c97350785766b5a1a9af10d10 SHA512 2a0c9c63c68a816379874be7f77e8351b12e33c9bc75be174957d0adeb93d345bfc96b67ae5a74244b39bd08f719cbea6a213a2752fe75864c2065f9846a9ef3
diff --git a/dev-python/aiohttp-socks/aiohttp-socks-0.12.0.ebuild b/dev-python/aiohttp-socks/aiohttp-socks-0.12.0.ebuild
new file mode 100644
index 000000000000..b412d8966cd1
--- /dev/null
+++ b/dev-python/aiohttp-socks/aiohttp-socks-0.12.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS proxy connector for aiohttp"
+HOMEPAGE="
+ https://pypi.org/project/aiohttp_socks/
+ https://github.com/romis2012/aiohttp-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/aiohttp-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aiohttp-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.4.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/tiny-proxy[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin dependencies
+ sed -i -e 's:,<[0-9.]*::g' pyproject.toml || die
+}
diff --git a/dev-python/aiohttp-socks/metadata.xml b/dev-python/aiohttp-socks/metadata.xml
index 030acdef572e..aedfbd516149 100644
--- a/dev-python/aiohttp-socks/metadata.xml
+++ b/dev-python/aiohttp-socks/metadata.xml
@@ -7,7 +7,7 @@
</maintainer>
<stabilize-allarches/>
<upstream>
- <remote-id type="pypi">aiohttp-socks</remote-id>
+ <remote-id type="pypi">aiohttp_socks</remote-id>
<remote-id type="github">romis2012/aiohttp-socks</remote-id>
</upstream>
</pkgmetadata>